org.eclipse.oomph.util

## Class OomphPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.oomph.util.OomphPlugin

- All Implemented Interfaces:
    Logger, ResourceLocator
  Direct Known Subclasses:
    OomphUIPlugin

      public abstract class OomphPlugin
      extends EMFPlugin

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OomphPlugin.BundleFile`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

      `EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper, EMFPlugin.OSGiDelegatingBundleActivator`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin

      `delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

    - ### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OomphPlugin(ResourceLocator[] delegateResourceLocators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkCancelation(IProgressMonitor monitor)`
    `void` | `coreException(IStatus status)`
    `void` | `coreException(Throwable t)`
    `File` | `exportResources(String entry)`
    `void` | `exportResources(String entry, File target)`
    `org.osgi.framework.Bundle` | `getBundle()`
    `org.osgi.framework.BundleContext` | `getBundleContext()`
    `org.osgi.service.prefs.Preferences` | `getConfigurationPreferences()`
    `protected Plugin` | `getEclipsePlugin()`
    `org.osgi.service.prefs.Preferences` | `getInstancePreferences()`
    `ILog` | `getLog()`
    `OomphPlugin.BundleFile` | `getRootFile()`
    `<T> T` | `getService(Class<T> serviceClass)`
    `IPath` | `getStateLocation()`
    `IStatus` | `getStatus(Object obj)`
    `IPath` | `getUserLocation()`
    `boolean` | `isDebugging()`
    `boolean` | `isOSGiRunning()`
    `void` | `log(IStatus status)`
    `void` | `log(String message)`
    `void` | `log(String message, int severity)`
    `String` | `log(Throwable t)`
    `void` | `setDebugging(boolean value)`
    `static String` | `toString(IStatus status)`
    `static String` | `toString(Throwable t)`
    `void` | `ungetService(Object service)`

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin

      `getDelegateResourceLocators, getPluginLogger, getPluginResourceLocator, getPrimaryResourceLocator, getSymbolicName, log, main`

    - ### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

      `getBaseURL, getImage, getString, getString, getString, getString`

- - ### Constructor Detail

    - #### OomphPlugin

          protected OomphPlugin(ResourceLocator[] delegateResourceLocators)

  - ### Method Detail

    - #### isOSGiRunning

          public final boolean isOSGiRunning()

    - #### getEclipsePlugin

          protected Plugin getEclipsePlugin()

    - #### getBundle

          public final org.osgi.framework.Bundle getBundle()

    - #### getBundleContext

          public final org.osgi.framework.BundleContext getBundleContext()

    - #### getStateLocation

          public final IPath getStateLocation()
                                       throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### getUserLocation

          public final IPath getUserLocation()
                                      throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### getInstancePreferences

          public final org.osgi.service.prefs.Preferences getInstancePreferences()

    - #### getConfigurationPreferences

          public final org.osgi.service.prefs.Preferences getConfigurationPreferences()

    - #### isDebugging

          public final boolean isDebugging()

    - #### setDebugging

          public final void setDebugging(boolean value)

    - #### getService

          public final <T> T getService(Class<T> serviceClass)

    - #### ungetService

          public final void ungetService(Object service)

    - #### getLog

          public final ILog getLog()

    - #### log

          public final void log(String message,
                 int severity)

    - #### log

          public final void log(String message)

    - #### log

          public final void log(IStatus status)

    - #### log

          public final String log(Throwable t)

    - #### getStatus

          public final IStatus getStatus(Object obj)

    - #### coreException

          public void coreException(IStatus status)
                             throws CoreException

      Throws:
        `CoreException`

    - #### coreException

          public final void coreException(Throwable t)
                                   throws CoreException

      Throws:
        `CoreException`

    - #### getRootFile

          public OomphPlugin.BundleFile getRootFile()

    - #### exportResources

          public File exportResources(String entry)

    - #### exportResources

          public void exportResources(String entry,
                             File target)

    - #### checkCancelation

          public static void checkCancelation(IProgressMonitor monitor)

    - #### toString

          public static String toString(Throwable t)

    - #### toString

          public static String toString(IStatus status)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html